# gst1 api recall here
%define api 1.0
%define oname gst-python
%define _disable_ld_no_undefined 1

%bcond_without python3
%define __noautoprov '_gi_gst.so'

Summary:	Python bindings for GStreamer%{api}
Name:		python-gstreamer%{api}
Version:	1.6.2
Release:	1
License:	LGPLv2.1+
Group:		Development/Python
Url:		http://gstreamer.freedesktop.org/
Source0:	http://gstreamer.freedesktop.org/src/gst-python/gst-python-%{version}.tar.xz
BuildRequires:	pkgconfig(gstreamer-%{api}) >= 1.2.0
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(python)
# python3
%if %{with python3}
BuildRequires:	pkgconfig(python3)
%endif

Requires:	gstreamer1.0-tools >= 1.2.0
Requires:	python-gobject3
Provides:	gstreamer%{api}-python = %{EVRD}

%description
This module contains PyGObject overrides to make it easier to write
applications that use GStreamer 1.0 in Python.

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{py_platsitedir}/gi/overrides/*
%{_libdir}/gstreamer-1.0/libgstpythonplugin.so

#----------------------------------------------------------------------------
%package  -n python3-gstreamer%{api}

Summary:	Python3 bindings for GStreamer%{api}
Group:		Development/Python

Requires:	python3-gi
Requires:	gstreamer1.0-tools >= 1.2.0
Provides:	gstreamer%{api}-python3 = %{EVRD}

%description   -n python3-gstreamer%{api}
This module contains PyGObject overrides to make it easier to write
applications that use GStreamer 1.0 in Python3.

%files  -n python3-gstreamer%{api}
%doc AUTHORS COPYING ChangeLog NEWS README
%{py3_platsitedir}/gi/overrides/*
%{_libdir}/gstreamer-1.0/libgstpythonplugin.cpython-34m.so
#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%if %{with python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

%build
%configure
%make

# python3
%if %{with python3}
pushd %{py3dir}
%configure PYTHON=python3
%make
popd
%endif

%install
# python3
%if %{with python3}
pushd %{py3dir}
%makeinstall_std
popd
%endif

%makeinstall_std

%changelog

* Tue Jan 19 2016 Denis Silakov <dsilakov@gmail.com> 1.6.2-1
- (edd6f75) Updated to 1.6.2


